Package org.apache.sling.distribution.common

## Class RecoverableDistributionException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - org.apache.sling.distribution.common.DistributionException
      - - org.apache.sling.distribution.common.RecoverableDistributionException

All Implemented Interfaces:
  `Serializable`

    public class RecoverableDistributionException
    extends DistributionException

Recoverable checked exception for distribution

See Also:
  Serialized Form

### Constructor Summary

Constructors
`RecoverableDistributionException​(String string)`
`RecoverableDistributionException​(String string, Throwable cause)`
`RecoverableDistributionException​(Throwable e)`

### Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### RecoverableDistributionException

    public RecoverableDistributionException​(Throwable e)

#### RecoverableDistributionException

    public RecoverableDistributionException​(String string)

#### RecoverableDistributionException

    public RecoverableDistributionException​(String string,
                                            Throwable cause)